ros-humble-ros2node (0.18.11-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 26 Jul 2024 05:00:00 -0000

ros-humble-ros2node (0.18.10-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 15 May 2024 05:00:00 -0000

ros-humble-ros2node (0.18.9-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 16 Feb 2024 06:00:00 -0000

ros-humble-ros2node (0.18.8-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 06:00:00 -0000

ros-humble-ros2node (0.18.7-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Jul 2023 05:00:00 -0000

ros-humble-ros2node (0.18.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Apr 2023 05:00:00 -0000

ros-humble-ros2node (0.18.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-ros2node (0.18.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-ros2node (0.18.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-ros2node (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-humble-ros2node (0.18.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-ros2node (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-ros2node (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-humble-ros2node (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-humble-ros2node (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-ros2node (0.16.0-1jammy) jammy; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-ros2node (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 06:00:00 -0000

ros-humble-ros2node (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-ros2node (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-ros2node (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 06:00:00 -0000

ros-humble-ros2node (0.11.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-ros2node (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-humble-ros2node (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 06:00:00 -0000

ros-humble-ros2node (0.9.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-ros2node (0.9.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-ros2node (0.9.3-1jammy) jammy; urgency=high

  * Make CLI more robust to discovery latency. (#494 <https://github.com/ros2/ros2cli/issues/494>)
  * Remove uses of deprecated ready_fn. (#506 <https://github.com/ros2/ros2cli/issues/506>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 05:00:00 -0000

ros-humble-ros2node (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-humble-ros2node (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 05:00:00 -0000

ros-humble-ros2node (0.9.0-1jammy) jammy; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * Update tests to expect no launch_ros node. (#474 <https://github.com/ros2/ros2cli/issues/474>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Just add warning at the top of the node names list. (#462 <https://github.com/ros2/ros2cli/issues/462>)
  * Add a warning to ros2 node info when there is more than one node with the same name. (#463 <https://github.com/ros2/ros2cli/issues/463>)
    * Add a warning to ros2 node info when there is more than one node with the given name
    * Add test for nonunique node names
    * Update use of removed API
    * Add newline at top of code
    Co-Authored-By: William Woodall <mailto:william@osrfoundation.org>
    Co-authored-by: William Woodall <mailto:william@osrfoundation.org>
  * Remove ready_fn from test descriptions. (#376 <https://github.com/ros2/ros2cli/issues/376>)
  * Used get_available_rmw_implementations from rclpy. (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon. (#459 <https://github.com/ros2/ros2cli/issues/459>)
    This is to give time for discovery to happen between the daemon node and the test fixture nodes.
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Merge branch 'master' of github.com:ros2/ros2cli
  * Make use of include-hidden flag for ros2node info verb. (#401 <https://github.com/ros2/ros2cli/issues/401>)
  * Contributors: Alejandro Hernández Cordero, Brian Marchi, Chris Lalancette, Dirk Thomas, Emerson Knapp, Jacob Perron, Peter Baughman, Shane Loretz, Steven! Ragnarök, claireyywang

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 05:00:00 -0000

ros-humble-ros2node (0.8.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-ros2node (0.8.5-1jammy) jammy; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 14 Nov 2019 06:00:00 -0000

ros-humble-ros2node (0.8.4-1jammy) jammy; urgency=high

  * 0.8.4
  * Add service clients to ros2node info. (#392 <https://github.com/ros2/ros2cli/issues/392>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-humble-ros2node (0.8.3-1jammy) jammy; urgency=high

  * 0.8.3
  * End-to-end test coverage for CLI commands output. (#304 <https://github.com/ros2/ros2cli/issues/304>)
    * Add end-to-end CLI output tests for ros2:
    - ros2action
    - ros2service
    - ros2topic
    - ros2msg
    - ros2srv
    - ros2interface
    - ros2node
    - ros2pkg
  * [ros2node] Add option to info verb to display hidden names. (#373 <https://github.com/ros2/ros2cli/issues/373>)
    * [ros2node] Add option to info verb to display hidden names
    Changes behavior so that hidden names are not shown by default.
    * Update ros2component to request hidden service names
    Which it uses for identifier component containers.
  * [ros2node] Update info headings for actions. (#357 <https://github.com/ros2/ros2cli/issues/357>)
  * Contributors: Jacob Perron, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-ros2node (0.8.2-1jammy) jammy; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Oct 2019 05:00:00 -0000

ros-humble-ros2node (0.8.1-1jammy) jammy; urgency=high

  * 0.8.1
  * Ros2node info: add action category. (#345 <https://github.com/ros2/ros2cli/issues/345>)
    * Add action category
    * Correct node param
    * Split action into server and client
    * Fix indentation
  * Contributors: Claire Wang, Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-humble-ros2node (0.8.0-1jammy) jammy; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Convert list comprehension to generator. (#314 <https://github.com/ros2/ros2cli/issues/314>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Alphasort ros2 node list output. (#305 <https://github.com/ros2/ros2cli/issues/305>)
    For node name order to be deterministic.
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-ros2node (0.7.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-ros2node (0.7.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-ros2node (0.7.2-1jammy) jammy; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-humble-ros2node (0.7.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Apr 2019 05:00:00 -0000

ros-humble-ros2node (0.7.0-1jammy) jammy; urgency=high

  * Solved bug when trying to find node info in namespaces. (#206 <https://github.com/ros2/ros2cli/issues/206>)
    * Solved bug when trying to find node info in namespaces
    * Added test
    * Accepted non fully qualified names. Used better terminology for variables.
    * Modified with PR comments
    * Simplify logic
  * Contributors: ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-humble-ros2node (0.6.3-1jammy) jammy; urgency=high

  * Consistent node naming. (#158 <https://github.com/ros2/ros2cli/issues/158>)
    * Support for easy integration with ros2 security features by starting CLI nodes with a consistent prefix.
    * Removing unneeded comment
    * Making DirectNode visible (removing hidden node prefix) to have consistent node naming for ros2cli.
    * Start all CLI nodes as hidden.
    * Shortening the default CLI node name prefix from '_ros2cli_node' to '_ros2cli'
    * Importing HIDDEN_NODE_PREFIX from rclpy, renaming CLI_NODE_NAME_PREFIX -> NODE_NAME_PREFIX.
    * Ros2node - Importing HIDDEN_NODE_PREFIX from rclpy
    * Linter fixes.
  * Add completer for node info <node-name>. (#189 <https://github.com/ros2/ros2cli/issues/189>)
  * Fix node info verb description. (#186 <https://github.com/ros2/ros2cli/issues/186>)
  * Contributors: AAlon, Dirk Thomas, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-humble-ros2node (0.6.2-1jammy) jammy; urgency=high

  * Add slash for node name. (#179 <https://github.com/ros2/ros2cli/issues/179>)
    * Add slash for node name
    * Check for forward slash in ros2param
    * Use get_absolute_node_name function
  * Contributors: Karsten Knese

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 06:00:00 -0000

ros-humble-ros2node (0.6.1-1jammy) jammy; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Add ros2 node info verb. (#159 <https://github.com/ros2/ros2cli/issues/159>)
    * Add ros node info verb
    * Fix copyright headers
    * Fix flake8 issues
    * Addresses comments for exceptional case
    * Simplify error message when we can't find the node.
  * Contributors: Ross Desmond, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-humble-ros2node (0.6.0-1jammy) jammy; urgency=high

  * Node name with namespace. (#146 <https://github.com/ros2/ros2cli/issues/146>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Nov 2018 06:00:00 -0000

ros-humble-ros2node (0.5.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Aug 2018 05:00:00 -0000

ros-humble-ros2node (0.5.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 17 Jul 2018 05:00:00 -0000

ros-humble-ros2node (0.5.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-humble-ros2node (0.5.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 17:27:00 -0000

ros-humble-ros2node (0.5.0-1jammy) jammy; urgency=high

  * Add pytest markers to linter tests
  * Ignore empty or None node names. (#76 <https://github.com/ros2/ros2cli/issues/76>)
  * Set zip_safe to avoid warning during installation. (#83 <https://github.com/ros2/ros2cli/issues/83>)
  * Print full help when no command is passed. (#81 <https://github.com/ros2/ros2cli/issues/81>)
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 17:17:00 -0000

ros-humble-ros2node (0.4.0-1jammy) jammy; urgency=high

  * Remove test_suite, add pytest as test_requires
  * 0.0.3
  * Implicitly inherit from object. (#45 <https://github.com/ros2/ros2cli/issues/45>)
  * 0.0.2
  * Merge pull request #15 <https://github.com/ros2/ros2cli/issues/15> from ros2/various_fixes
    various fixes and improvements
  * Various fixes and improvements
  * Merge pull request #5 <https://github.com/ros2/ros2cli/issues/5> from ros2/pep257
    add pep257 tests
  * Add pep257 tests
  * Merge pull request #1 <https://github.com/ros2/ros2cli/issues/1> from ros2/initial_features
    Entry point, plugin system, daemon, existing tools
  * Add ros2node list
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


